<?php

/**
 * Subclass for representing a row from the 'tblblogpoll' table.
 *
 * 
 *
 * @package lib.model
 */ 
class Tblblogpoll extends BaseTblblogpoll
{
	/**
	 * Initializes internal state of Tblblogpoll object.
	 * @see        parent::__construct()
	 */
	public function __construct()
	{
		// Make sure that parent constructor is always invoked, since that
		// is where any default values for this object are set.
		parent::__construct();
	}
	
	public function delete(PropelPDO $con = null) {
    $pollId = $this->getPollId();
    parent::delete($con);
    
    //delete table tblblogpolldata
    $c = new Criteria();
    $c->add(TblblogpolldataPeer::PD_POLL,$pollId);
    TblblogpolldataPeer::doDelete($c);
  }

}
